*{
	margin:0;
	padding:0;
}

html{
	font-family:Product Sans;
	user-select: none;
}

body{
	background-color:#eee;
	position: relative;
    width: 100vw;
    height: 100vh;
	user-select: none;
}

.HelpWindow{
	display: none;
	width: 100vw;
    height: 100vh;
    background: rgb(0 0 0 / 0.5);
    box-shadow: 0 0 50px 10px rgb(0 0 0 / 0.5);
    position: fixed;
    z-index: 100000000000;
    margin: 0 auto;
    top: 0;
    left: 0;
    right: 0;
    backdrop-filter: blur(10px);
}
.HelpWindow p{
	display: block;
    width: 600px;
    height: auto;
    background: #fff;
    box-shadow: 0 0 50px 10px rgb(0 0 0 / 0.5);
    border-radius: 5px;
    position: absolute;
    margin: 0 auto;
    padding: 20px;
    top: calc(100% / 2.5);
    left: 0;
    right: 0;
}
.HelpWindow p button{
	cursor: pointer;
	display: block;
    outline: 0;
    border: 0;
    margin: 0 auto;
    margin-top: 20px;
    background: #2196F3;
    padding: 5px 15px;
    color: #fff;
    font-weight: bold;
    font-family: Product Sans;
    border-radius: 5px;
	transition: 0.3s;
}
.HelpWindow p button:hover{
	background: #176caf;
}



.mobile{
	width: 328px;
    height: 580px;
    margin: auto;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: #fff;
    box-shadow: 0 0 20px 0px rgba(0, 0, 0, 0.3);
    border-radius: 10px;
	transition: 0.5s;
}
.mobile[state=one]{
	width: 580px;
}
.mobile[state=two]{
	width: calc(100% - 50px);
}
.mobile .model{
	position: absolute;
    top: 20px;
    left: 0;
    right: 0;
    bottom: 0;
    width: calc(100% - 8px);
    margin: auto;
	background: rgba(0, 0, 0, 0.5);
    height: calc(100% - 28px);
    border-radius: 5px;
	transition: 0.5s;
}
.mobile .model .m_top{
	position: absolute;
    top: -24px;
    left: 5px;
    right: 5px;
    height: 24px;
}
.mobile .model .m_top .m_speaker, .mobile .model .m_top .m_camera{
	position: absolute;
}
.mobile .model .m_top .m_speaker{
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    height: 4px;
    width: calc(100% / 7.5);
    background: rgba(0, 0, 0, 0.2);
    margin: auto;
    border-radius: 10px;
}
.mobile .model .m_top .m_camera{
    width: 8px;
    height: 8px;
    top: 0;
    left: calc(100% / 6);
    right: 0;
    bottom: 0;
    margin: auto;
    background: rgba(0, 0, 0, 0.5);
    border-radius: 50px;
}

.mobile .model .m_left, .mobile .model .m_right,
.mobile .model .m_right .m_power{
	position: absolute;
}
.mobile .model .m_left{
    top: 0;
    left: -8px;
    bottom: 0;
    width: 10px;
}
.mobile .model .m_right{
    top: 0;
    right: -8px;
    bottom: 0;
    width: 10px;
}

.mobile .model .m_right .m_power{
	cursor: pointer;
    height: 50px;
    width: 4px;
    background: #fff;
    top: calc(100% / 8);
    right: 0;
    bottom: 0;
    border-radius: 0px 5px 5px 0;
    box-shadow: inset 9px 0px 5px -10px rgba(0, 0, 0, 0.5);
}

.mobile .model .m_left .m_volume_up{
	position: absolute;
    cursor: pointer;
    height: 50px;
    width: 4px;
    background: #fff;
    top: calc(100% / 8);
    left: 0;
    bottom: 0;
    border-radius: 5px 0px 0px 5px;
    box-shadow: inset -9px 0px 5px -10px rgba(0, 0, 0, 0.5);
}
.mobile .model .m_left .m_volume_down{
	position: absolute;
    cursor: pointer;
    height: 50px;
    width: 4px;
    background: #fff;
    top: calc(100% / 8 + 55px);
    left: 0;
    bottom: 0;
    border-radius: 5px 0px 0px 5px;
    box-shadow: inset -9px 0px 5px -10px rgba(0, 0, 0, 0.5);
}


.mobile .model .m_display{
	position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    border-radius: 5px;
	/* image */
    background-position-x: center;
    background-position-y: top;
    background-size: cover;
    background-repeat: no-repeat;
	/* image */
    background-color: #000000;
	box-shadow: inset 0 20px 20px -20px rgba(0, 0, 0, 0.5), inset 0 -20px 20px -20px rgba(0, 0, 0, 0.5);
	overflow: hidden;
    transition: 0.5s;
}
.mobile .model .m_display .off_screen{
	position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: #000000;
	z-index: 99999999999;
}

.mobile .model .m_display .lock_screen{
	position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0.5);
	backdrop-filter: blur(20px);
    z-index: 999999997;
	/*transition: 0.5s;*/
}
.mobile .model .m_display .lock_screen center{
	margin: 20% 0;
    color: #ffffff;
    height: 50px;
    transform: scale(1);
    transition: 0.1s;
}
.mobile .model .m_display .lock_screen center label{
	display: block;
    padding: 10px;
    font-size: 30px;
}
.mobile .model .m_display .lock_screen .ls_controls{
	position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    height: 50px;
    color: #ffffff;
}
.mobile .model .m_display .lock_screen .ls_controls a{
	display: inline-block;
    width: 40px;
    height: 40px;
    position: absolute;
    bottom: 0;
    text-align: center;
	transition: 0.5s;
}
.mobile .model .m_display .lock_screen .ls_controls a i{
	padding: 8px;
}
.mobile .model .m_display .lock_screen .ls_controls .ls_phone_icon{
	left: 0;
}
.mobile .model .m_display .lock_screen .ls_controls .ls_lock_icon{
	left: 0;
    right: 0;
    margin: 0 auto;
}
.mobile .model .m_display .lock_screen .ls_controls .ls_camera_icon{
	right: 0;
}
.mobile .model .m_display .lock_screen .ls_media_data{
	opacity: 0;
	display: none;
	position: absolute;
    top: 0;
    left: 0;
    right: 0;
    margin: 20% 0;
    color: #ffffff;
    height: 50px;
    transform: scale(1);
    text-align: center;
    z-index: 1;
    transition: 0.1s;
}
.mobile .model .m_display .lock_screen .ls_media_data label, 
.mobile .model .m_display .lock_screen .ls_media_data text{
	display:block;
}
.mobile .model .m_display .lock_screen .ls_media_data .lsmd_buttons{
	padding: 10px 0;
}
.mobile .model .m_display .lock_screen .ls_media_data .lsmd_buttons a{
	display: inline-block;
    background: rgba(255, 255, 255, 0);
    width: 40px;
    height: 40px;
    border-radius: 50px;
    border: 2px solid #fff;
    transition: 0.3s;
    text-align: center;
}
.mobile .model .m_display .lock_screen .ls_media_data .lsmd_buttons .back{
	position: absolute;
    left: calc(50% / 2);
}
.mobile .model .m_display .lock_screen .ls_media_data .lsmd_buttons .next{
	position: absolute;
    right: calc(50% / 2);
}
.mobile .model .m_display .lock_screen .ls_media_data .lsmd_buttons a:hover{
	background: rgba(255, 255, 255, 0.2);
}
.mobile .model .m_display .lock_screen .ls_media_data .lsmd_buttons a i{
	font-size: 29px;
    padding: 5.5px;
}
.mobile .model .m_display .lock_screen .ls_media_data_BGImage{
	position: absolute;
	top: -15px;
	left: -15px;
	right: -15px;
	bottom: -15px;
	filter: blur(10px);
}
.mobile .model .m_display .lock_screen .ls_media_data_Image{
	position: relative;
    margin: 60% auto;
    width: 250px;
    height: 250px;
    border-radius: 50%;
}


.mobile .model .m_display .bootanimation{
	display: none;
	position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    height: 100%;
    background-color: #000000;
    z-index: 9999999999;
}


.mobile .model .m_display .controls{
	position: absolute;
    bottom: -40px;
    left: 0;
    right: 0;
    text-align: center;
    background: rgba(0, 0, 0, 0);
    height: 40px;
	transition: 0.5s;
}
.mobile .model .m_display .controls a{
	display: inline-block;
    width: 50px;
    height: 40px;
    padding: 0 8px;
    margin: 0 2px;
    color: #ffffff;
    text-align: center;
	border-radius: 50px;
}

.mobile .model .m_display .controls a i{
    padding: 8px;
}
.mobile .model .m_display .controls .back i{
	transform: rotateZ(90deg);
}

.mobile .model .m_display .status_bar{
	position: absolute;
    top: 0;
    left: 0;
    right: 0;
    height: 20px;
	z-index: 999999997;
	overflow: hidden;
}
.mobile .model .m_display .status_bar .sb{
	position: absolute;
    top: 0;
    left: 0;
    right: 80px;
    bottom: 0;
	color: #ffffff;
}
.mobile .model .m_display .status_bar .sb text{
	position: absolute;
	display: inline-block;
    text-shadow: 0px 0px 3px rgba(0, 0, 0, 0.5);
    font-size: 13px;
    padding: 4px 5px;
	transition: 0.5s;
}
.mobile .model .m_display .status_bar .sb .notyfication_text{
	white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
	transition: 0.5s;
}
.mobile .model .m_display .status_bar .sb_right{
	position: absolute;
    top: 0;
    left: 240px;
    right: 0;
    bottom: 0;
	text-align: right;
}
.mobile .model .m_display .status_bar .sb_right i{
	font-size: 15px;
    color: #ffffff;
    text-shadow: 0px 0px 3px rgba(0, 0, 0, 0.5);
	padding: 3px 0;
}

.mobile .model .m_display .notifications_display{
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 999999999;
    overflow: hidden;
}
.mobile .model .m_display .notifications_display .n_background{
    position: absolute;
    background: rgb(0, 0, 0) 50% 0% / cover no-repeat rgb(0, 0, 0);
    top: -20px;
    left: -20px;
    right: -20px;
    bottom: -20px;
    filter: blur(12px);
}
.mobile .model .m_display .notifications_display .n_buttons{
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    height: auto;
    padding: 5px 10px 0;
}
.mobile .model .m_display .notifications_display .n_buttons .n_btn[state=false]{
    display: inline-block;
    width: 40px;
    height: 40px;
    color: rgba(255, 255, 255, 0.5);
    background: #007cff;
    border-radius: 50%;
    text-align: center;
}
.mobile .model .m_display .notifications_display .n_buttons .n_btn[state=true]{
    display: inline-block;
    width: 40px;
    height: 40px;
    color: #007cff;
    background: #fff;
    border-radius: 50%;
    text-align: center;
}
.mobile .model .m_display .notifications_display .n_buttons .n_btn i{
	padding: 8px;
}

.mobile .model .m_display .display_apps{
	position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
	background: transparent;
	
	perspective: 800px;
	perspective-origin: bottom;
	
    transition: 0.5s;
}
.mobile .model .m_display .display_apps .app{
	position: absolute;
    top: 0px;
    left: 0;
    right: 0;
    bottom: 0px;
	transition: 0.5s;
}
.mobile .model .m_display .display_apps .app app_content{
	overflow: hidden;
    width: 100%;
    height: calc(100% - 60px);
    padding: 20px 0 40px 0;
    position: absolute;
	transition: 0.5s;
}
.mobile .model .m_display .display_apps .app[state=showed]{
	display: block;
	opacity: 1;
}
.mobile .model .m_display .display_apps .app[state=hided]{
	transition: 0.5s;
    opacity: 0;
    width: 0;
    height: 0;
}
.mobile .model .m_display .display_apps .app[rs_state=true]{
	width: unset;
    height: unset;
	
	display: block;
    opacity: 1;
    transform: scale(0.6) translateX(0px);
	
	transform-style: preserve-3d;
    transform-origin: center;
	
	border-radius: 5px;
    box-shadow: 0 0 20px 5px rgba(0, 0, 0, 0.3);
}
.mobile .model .m_display .display_apps .app[rs_state=true] app_content{
	user-select: none;
    pointer-events: none;
	border-radius: 5px;
	height: 100%;
	padding: 0;
}
.mobile .model .m_display .display_apps .app .rc{
	display: none;
	opacity: 0;
	position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 999;
	transition: 0.5s
}
.mobile .model .m_display .display_apps .app .rc .app_info_up{
	position: absolute;
    top: -70px;
    left: 0;
    right: 0;
    height: 70px;
    color: #ffffff;
    line-height: 45px;
    transition: 0.5s;
    text-align: center;
}
.mobile .model .m_display .display_apps .app .rc .app_info_down{
	position: absolute;
	left: 0;
	right: 0;
	bottom: -22px;
	height: 20px;
	color: #ffffff;
	line-height: 20px;
	text-align: center;
	transition: 0.5s;
}
/*.mobile .model .m_display .display_apps .app .rc .app_info_down label{
	padding-top: 14px;
    transform: scale(2.5);
    display: block;
}*/
.mobile .model .m_display .display_apps .app .rc .app_info_up[state=false]{
	display: none;
	opacity: 0;
}

.mobile .model .m_display .display_apps .app .rc .app_info_up img{
	width: 30px;
    height: auto;
    padding: 5px;
	transform: scale(2.5);
    display: inline-block;
	border-radius: 50%;
}
/*.mobile .model .m_display .display_apps .app .rc .app_info_up label{
	vertical-align: top;
    display: inline-block;
    padding-left: 10px;
	text-shadow: 0 0 5px rgba(0, 0, 0, 0.5);
}*/

.mobile .model .m_display .display_apps .app[rs_state=true] .rc{
	display: block;
	opacity: 1;
}
.mobile .model .m_display .display_apps .app[rs_state=false] .rc{
	display: none;
	opacity: 0;
}

.mobile .model .m_display .display_apps .app[rs_state=false]{
	/*display: unset;
    opacity: unset;
    pointer-events: unset;
    transform: unset;*/
}

.mobile .model .m_display .display_apps .recent_apps{
	/*display: none;*/
    /*opacity: 0;*/
    /*background: rgba(0, 0, 0, 0.5);*/
    width: 100%;
    height: auto;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
	transition: 0.5s;
}
/*
.mobile .model .m_display .display_apps .recent_apps[state=false]{
	display: none;
    opacity: 0;
}

.mobile .model .m_display .display_apps .recent_apps[state=true]{
	display: block;
    opacity: 1;
}*/

.mobile .model .m_display .display_apps .recent_apps .bg{
	position: absolute;
    top: -10px;
    left: -10px;
    right: -10px;
    bottom: -10px;
    filter: blur(10px);
    transition: 0.5s;
}

.mobile .model .m_display .display_apps .recent_apps .bg div{
	position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
	background: rgba(0, 0, 0, 0.3);
    box-shadow: inset 0 30px 20px -20px rgba(0, 0, 0, 0.5), inset 0 -30px 20px -20px rgba(0, 0, 0, 0.5);
}

.mobile .model .m_display .display_apps .recent_apps .buttons_down{
	position: absolute;
    bottom: -50px;
    text-align: center;
    left: 0;
    right: 0;
    transition:0.5s;
}
.mobile .model .m_display .display_apps .recent_apps[state=true] .buttons_down{
	position: absolute;
    bottom: 50px;
    text-align: center;
    left: 0;
    right: 0;
    opacity:1;
    transition:0.5s;
}
.mobile .model .m_display .display_apps .recent_apps[state=false] .buttons_down{
    opacity:0;
    transition:0.5s;
}

.mobile .model .m_display .display_apps .recent_apps .buttons_down .clear_all_apps{
	color: #fff;
    display: inline-block;
    width: 35px;
    height: 35px;
    line-height: 50px;
    border-radius: 50px;
    border: solid 2px #fff;
	transition: 0.5s;
}
.mobile .model .m_display .display_apps .recent_apps .buttons_down .clear_all_apps[state=true]{	
	border-top-color: rgba(0, 0, 0, 0);
    border-left-color: rgba(0, 0, 0, 0);
    border-bottom-color: rgba(0, 0, 0, 0);
	animation: RAAnimate_clear_all_apps 0.8s linear infinite;
	pointer-events: none;
	transition: 0.5s;
}
.mobile .model .m_display .display_apps .loader_apps{
	position: absolute;
    width: 100%;
    height: 100%;
    z-index: 10;
	display: none;
    background: transparent;

	width: 50px;
	height: 50px;
	transform: scale(0.5);
	border-radius: 50%;
	transition: 0.5s;
}
/*.mobile .model .m_display .display_apps .loader_apps{
	left: 67px;
    top: 5px;
    position: absolute;
    width: 100px;
    height: 100px;
    width: 100%;
    height: 100%;
    z-index: 10;
    background: #cc0048;
    transform: scale(0.2);
    border-radius: 50%;
    transition: 0.5s;
}*/
.mobile .model .m_display .display_apps .loader_apps .box{
	position: absolute;
    width: 100px;
    height: 100px;
    left: 0;
    right: 0;
    margin: calc(100% / 2 + 55px) auto;
    text-align: center;
}
.mobile .model .m_display .display_apps .loader_apps .box img{
	width: 100%;
    border-radius: 50%;
}

.mobile .model .m_display .up_block{
	/* border-radius: 3px 3px 0 0; */
	opacity:0;
	position: relative;
	top: 0;
	background: rgba(255, 255, 255, 0.3);
	width: 320px;
	height: 0px;
	margin: 0 auto;
	box-shadow: 0 20px 20px -10px rgba(0, 0, 0, 0.5);
	overflow: hidden;
	z-index: 999999998;
}
.mobile .model .m_display .up_block .upb_info_block{
	display: block;
	padding: 10px 10px 0px 10px;
	background: #0062cb;
}
.mobile .model .m_display .up_block .upb_info_block left{
	color: #ffffff;
	font-size: 13px;
	float: left;
}
.mobile .model .m_display .up_block .upb_info_block right{
	color: #ffffff;
	font-size: 13px;
	float: right;
}
.mobile .model .m_display .up_block .upb_info_block right i{
	font-size: 13px;
}
.mobile .model .m_display .up_block .upb_info_block right span{
    vertical-align: top;
}

.mobile .model .m_display .up_block .upb_info_block containermin{
	display: block;
	position: relative;
	margin-top: 25px;
	padding-top: 5px;
	color: rgba(255, 255, 255, 0.4);
}
.mobile .model .m_display .up_block .upb_info_block containermin a{
	display: inline-block;
	margin-left: 9px;
    text-align: center;
	background: rgba(255, 255, 255, 0);
    width: 33px;
    height: 33px;
    border-radius: 50px;
	border: 2px solid rgba(255, 255, 255, 0.5);
	transition: 0.5s;
}
.mobile .model .m_display .up_block .upb_info_block containermin a[check=true]{
	background: rgba(255, 255, 255, 0.5);
	border: 2px solid #ffffff;
	color: #ffffff;
}

.mobile .model .m_display .up_block .upb_info_block containermin a i{
	margin-top: 7px;
    font-size: 19px;
	transition: 0.2s;
}
.mobile .model .m_display .up_block .upb_info_block containermin timeleft{
	display: block;
    font-size: 12px;
    /* margin-top: 5px; */
    margin-left: 10px;
}
.mobile .model .m_display .up_block .upb_info_notify_min{
	user-select: none;
	pointer-events: none;
	height: 20px;
	overflow: hidden;
	display: block;
	padding: 5px;
	background: #0062cb;
}
.mobile .model .m_display .up_block .upb_info_notify_min .notyfi{
	display: inline-block;
    height: 100%;
    width: auto;
	margin-right: 1px;
}
.mobile .model .m_display .up_block .upb_info_notify_min .notyfi img{
    display: inline-block;
    filter: grayscale(100%);
    vertical-align: top;
    width: 15px;
	padding: 2.5px;
}
.mobile .model .m_display .up_block .upb_info_notify_min .notyfi label{
	display: inline-block;
	vertical-align: top;
	color: #fff;
	height: 20px;
	line-height: 23px;
	margin-left: -2.5px;
	font-size: 10px;
	font-weight: 600;
}
.mobile .model .m_display .up_block .notify_blocks{
	position: absolute;
	top: 125px;
	bottom: 0;
	width: 100%;
	height: auto;
	pointer-events: none;
	user-select: none;
	background: rgb(255, 255, 255);
	/* overflow: hidden; */
	overflow-x: auto;
}
.mobile .model .m_display .up_block .notify_blocks .notification{
	position: relative;
    width: 100%;
    height: 50px;
    box-shadow: 0 0 1px rgba(0, 0, 0, 0.2);
	pointer-events: auto;
}
.mobile .model .m_display .up_block .notify_blocks .notification_custom{
	position: relative;
    width: 100%;
    height: 50px;
    box-shadow: 0 0 1px rgba(0, 0, 0, 0.2);
	pointer-events: auto;
}
.mobile .model .m_display .up_block .notify_blocks .notification img{
	position: absolute;
    width: 30px;
    padding: 10px;
}
.mobile .model .m_display .up_block .notify_blocks .notification label{
	position: absolute;
    top: 8px;
    left: 60px;
}
.mobile .model .m_display .up_block .notify_blocks .notification p{
	position: absolute;
    top: 28px;
    left: 60px;
    right: 10px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    font-size: 12px;
}

@keyframes RAAnimate_clear_all_apps {
	0% {
	    border-color: rgba(0, 0, 0, 0);
	    transform: rotate(90deg);
	}
	50% {
	    border-color: #ffffff;
	    transform: rotate(180deg);
	}
	100% {
		border-color: rgba(0, 0, 0, 0);
		transform: rotate(360deg);
	}
}


	